All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.services.information.search
Class PublicTypeFilter

    com.sas.services.information.search.PublicTypeFilter

All Implemented Interfaces:
  SearchFilter, java.io.Serializable

    public class PublicTypeFilter

implements SearchFilter, java.io.Serializable

PublicTypeFilter

See Also:
  Serialized Form

Field Summary
`protected boolean` | `_includeSubTypes`
`protected ServerInterface` | `_server`
`protected java.util.List<java.lang.String>` | `_supportedTypes`
`protected static java.lang.String` | `PUBLIC_TYPE`

Constructor Summary
`PublicTypeFilter(java.util.List<java.lang.String> types)` Constructs a new filter given the list of public types to search for.
`PublicTypeFilter(java.util.List<java.lang.String> types, boolean includeSubTypes)` Constructs a new filter given the list of public types to search for.

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`FilterComponent` | `getFilterComponent()` Returns the filter component used for processing this search criteria
`java.lang.String` | `getFilterDescription()` Returns the description of this filter.
`java.lang.String` | `getFilterType()` Returns the localized name of this filter.
`java.util.List<java.lang.String>` | `getTypes()` Returns the public types included in theis filter.
`boolean` | `isIncludeSubTypes()` Returns true if subtypes are being included during the search.
`void` | `setServer(ServerInterface server)` Sets the server instance used to create this filter.
`void` | `setTypes(java.util.List<java.lang.String> types)`

Field Detail

### PUBLIC_TYPE

    protected static final java.lang.String PUBLIC_TYPE

See Also:
  Constant Field Values

### _supportedTypes

    protected java.util.List<java.lang.String> _supportedTypes

### _server

    protected ServerInterface _server

### _includeSubTypes

    protected boolean _includeSubTypes

Constructor Detail

### PublicTypeFilter

    public PublicTypeFilter(java.util.List<java.lang.String> types)

  Constructs a new filter given the list of public types to search for.

  Parameters:
    `types` - array of public types to search for. A null value can be specified if the filter is searching for all public types.

### PublicTypeFilter

    public PublicTypeFilter(java.util.List<java.lang.String> types,
                            boolean includeSubTypes)

  Constructs a new filter given the list of public types to search for.

  Parameters:
    `types` - array of public types to search for. A null value can be specified if the filter is searching for all public types.
    `includeSubTypes` - specifies whether or not a type's subtypes should be included. By default, subtypes are excluded, meaning if a search is performed on the type "Report", none of its subtypes (including Report.Image, Report.Component, etc.) will be searched.

Method Detail

### setServer

    public void setServer(ServerInterface server)

  Sets the server instance used to create this filter. The server is needed in order to determine the TypeDescriptor for each supported type.

  Parameters:
    `server` -

### getTypes

    public java.util.List<java.lang.String> getTypes()

  Returns the public types included in theis filter. A null value can be returned if the filter is searching for all public types.

  Returns:
    public type values

### setTypes

    public void setTypes(java.util.List<java.lang.String> types)

### isIncludeSubTypes

    public boolean isIncludeSubTypes()

  Returns true if subtypes are being included during the search.

  Returns:
    true if including subtypes, false otherwise.

### getFilterType

    public java.lang.String getFilterType()

  Description copied from interface: `SearchFilter`
  Returns the localized name of this filter. This method is typically used to help identify to the user what type of search is being performed. For instance, a name search, or a type search.

  Specified by:
    `getFilterType` in interface `SearchFilter`
  Returns:
    filter type

### getFilterDescription

    public java.lang.String getFilterDescription()

  Description copied from interface: `SearchFilter`
  Returns the description of this filter. This description is typically used for display purposes, or a log file, to inform the user what the intention of this filter is.

  Specified by:
    `getFilterDescription` in interface `SearchFilter`
  Returns:
    the filter description

### getFilterComponent

    public FilterComponent getFilterComponent()

  Description copied from interface: `SearchFilter`
  Returns the filter component used for processing this search criteria

  Specified by:
    `getFilterComponent` in interface `SearchFilter`
  Returns:
    filter component

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.